<!DOCTYPE html>
<html lang="en">
<head>
  <title>PHP FileMaker</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>FM List of Records</h2>

  <div class="form-group">

      <a href="AddPHPForm.php"> Add New Record </a>

  </div>

    <div class="form-group">

    <?php
    require_once('FileMaker.php');

    $fm = new FileMaker();
    $databases = $fm->listDatabases();
    $fm = new FileMaker();
    $fm->setProperty('database', 'TestData'); 
    $fm->setProperty('hostspec', 'http://65.49.9.28');
    $fm->setProperty('username', 'admin');
    $fm->setProperty('password', '');

//set the layout name for this page
$layout_name = 'TestTable';

# get the layout as an object
$layout_object = $fm->getLayout($layout_name);


$findCommand = $fm->newFindCommand($layout_name);
#$findCommand->addFindCriterion('ID', '> 0');

$findCommand->addSortRule('LastName', 1, FILEMAKER_SORT_ASCEND);

$findCommand->setScript('CommitData');

// Execute find command
$result = $findCommand->execute();

if (FileMaker::isError($result)) {
    echo "Error: " . $result->getMessage() . "\n";
    exit;
}

// Get array of found records
$records = $result->getRecords();

$row = $result->getFoundSetCount();;
?>
         <table class="table" width="100%">  
            <tr>
                <th> LAST NAME </th>
                <th> FIRST NAME </th>
                <th> MIDDLE NAME </th>
                <th> MANAGE </th>
            </tr>
            <!-- LOOP THROUGH ROWS -->
            <?php foreach ($records as $dataRow) { ?>
                       <tr>
                            <td> <?php echo $dataRow->getField('LastName');?> </td>
                            <td> <?php echo $dataRow->getField('FirstName');?> </td>
                            <td> <?php echo $dataRow->getField('MidName');?> </td>
                            <td> <a href="EditPHPForm.php?recid=<?php echo $dataRow->getField('ID');?>"> Edit </a> &nbsp; <a href='#' onclick='delete_user( <?php echo $dataRow->getField('ID');?>);'> Delete </a></td>
                        </tr>
            <?php  } ?>
         </table>

    </div>
    <div class="form-group">
        <h5> Total Records: <strong> <?php echo $row; ?> </strong> </h5>
    </div>
</div>
<script type='text/javascript'>
function delete_user( id ){
var answer = confirm('Are you sure?');
if ( answer ){
//if user clicked ok, pass the id to delete.php and execute the delete query
window.location = 'DeletePHPForm.php?ID=' + id;
}
}
</script>
</body>
</html>
